For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
      • GETGet payables list from accounting system
      • GETGet payable details from accounting system
      • GETGet invoice list from accounting system
      • GETGet invoice details from accounting system
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounting integrationAccounting data pull

Get payable details from accounting system

GET
/accounting/payables/:payable_id
GET
/v1/accounting/payables/:payable_id
$curl https://api.sandbox.monite.com/v1/accounting/payables/payable_id \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "status": "paid",
4 "total_amount": 1.1,
5 "amount_due": 1.1,
6 "currency": "EUR",
7 "currency_rate": 1.1,
8 "due_date": "2024-01-15T09:30:00Z",
9 "invoice_number": "invoice_number",
10 "lines": [
11 {
12 "description": "Logo design",
13 "discount_amount": 1.1,
14 "discount_percentage": 1.1,
15 "ledger_account_id": "ledger_account_id",
16 "quantity": 1.1,
17 "tax_rate_ref": {
18 "id": "id"
19 },
20 "unit_amount": 1.1
21 }
22 ],
23 "memo": "memo",
24 "posted_date": "posted_date",
25 "purchase_order_refs": [
26 {
27 "id": "10",
28 "name": "PO-1234"
29 }
30 ],
31 "subtotal": 1.1,
32 "tax_amount": 1.1,
33 "vendor_ref": {
34 "id": "120",
35 "name": "Acme Inc."
36 }
37}

Returns information about an individual payable invoice (bill) that exists in the entity’s accounting system. This payable may or may not also exist in Monite.

Was this page helpful?
Previous

Get invoice list from accounting system

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

payable_idstringRequired

An internal ID of the payable invoice (bill) in the accounting system. You can get these IDs from GET /accounting/payables.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstring
An internal identifier of the payable in the accounting system.
statusstring

The status of the payable in the accounting system. Possible values: open, draft, partially_paid, paid, unknown, void.

total_amountdouble

The total amount payable, including discounts and VAT/taxes.

amount_duedouble
Remaining amount to be paid.
currencystring

ISO-4217 currency code of the payable.

currency_ratedouble
Rate to convert the total amount of the transaction into the entity's base currency at the time of the transaction.
due_datedatetime or string
The payable's due date.
invoice_numberstring
Invoice number of the payable.
lineslist of objects
memostring
Any additional information or business notes about the payable.
posted_datestringformat: "date"
Date when the payable was added to the accounting service. This may differ from the payable creation date.
purchase_order_refslist of objects
A list of purchase orders linked to the payable, if any.
subtotaldouble

Amount payable, including discounts but excluding VAT/taxes.

tax_amountdouble
Total VAT or tax amount.
vendor_refobject
Information about the vendor from whom the payable was received.

Errors

422
Get Accounting Payables ID Request Unprocessable Entity Error
500
Get Accounting Payables ID Request Internal Server Error